[PATCH] Restore compatibility with 2.4 kernels

Jean Delvare khali at linux-fr.org
Tue Mar 8 21:12:16 CET 2005


Hi James,

> In particular I was still seeing panics when unloading sensors
> drivers.   It seems to fix this.

I thought 2.9.0 had fixed the problem?

I'm a bit surprised that Aurelien's patch would help with sensors.
Supposedly the problem is the lack of binary compatibility between i2c
2.9.0 and in-kernel i2c. If you use lm_sensors 2.9.0 then you must use
i2c 2.9.0 as well, so what Aurelien's patch would address are problems
with in-kernel, non-sensors i2c stuff such as media/video drivers.

-- 
Jean Delvare



More information about the lm-sensors mailing list